#if !COMBAT_SERVER

    using UnityEngine.Playables;
    using UnityEngine.Timeline;
 
#endif
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic;
    public class TimeLineMaxTimeSerializtion : TimeLineAssetSerialization
    {

        
        public TimeLineMaxTimeSerializtion()
        {

        }
#if !COMBAT_SERVER

        public TimeLineMaxTimeSerializtion(PlayableDirector playableDirector, GroupTrack groupTrack,
            TimelineClip timelineClip) : base(groupTrack, timelineClip)
        {
            
        }
#endif

        public override TimeLineEventLogicBasic CreateLogic()
        {
            return new TimeLineDefectEventLogic();
        }
    }
